---
title: Presentations Endpoints (2017/01)
slug: legacy-docs/presentations-endpoints-201701
docTags: 
createdAt: 2025-03-11T07:03:32.130Z
---

These endpoints allow for creation, modification, and retrieval of presentation objects.

**Base URL for these endpoints:**  *https\://api.brightsignnetwork.com/2017/01/REST/Presentations*

## GET  /

Retrieves a list of presentations on the network.

**Parameters**

`filter`  string

An [expression](docId:3L0afyD3xoOE-yTvfk2vs) for filtering search results

`sort`  string

An expression for sorting the search results. The sort expression specifies the entry used for sorting and the ascending/descending (ASC/DESC) sorting order (e.g. "`[Device].[Serial] ASC`")

`marker` string

A value specifying which page to retrieve. This value is useful if the `isTruncated` entry in the response body of the previous GET call indicates that the number of presentations exceeds the `pageSize`.

`pageSize` int

The maximum number of presentations that can be contained in the response body

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns a [paged list](docId\:yN3GU-aSyfiSjdxgbJdVB) of [Presentation Entity (2017/01)](docId\:gevbxp_TVfwQAja3TcL9S) instances on a network. This will return not more than 100 entities along with the information necessary to return any other remaining pages.

## POST  /

Creates a new presentation on the network.

**Request Body**

The [Presentation Entity (2017/01)](docId\:gevbxp_TVfwQAja3TcL9S) 

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns a 201 status code and the new resource created and referenced by the Uri (given by the Location header field) in the response. The response includes the [Presentation Entity (2017/01)](docId\:gevbxp_TVfwQAja3TcL9S).

## DELETE  /

Removes presentations, specified by a filter, from a network. This allows multiple presentations to be deleted at once.

**Parameters**

`filter`  string

An [expression](docId:3L0afyD3xoOE-yTvfk2vs) for filtering search results

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the number of affected presentations as an integer value.

## GET  /Count/ 

Retrieves the number of presentations on the network matching the specified filter criteria. If no filter is included, this call returns the total number of presentations on the network. 

**Parameters**

`filter`  string

An [expression](docId:3L0afyD3xoOE-yTvfk2vs) for filtering search results

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

The presentation count is returned as an integer value.

## GET  /Operations/ 

Returns the operational permissions granted to roles for specific business operations

**Response Body**

Returns the [Business Operations Entity](docId\:yCHrO4oCGSHFHaE1GVYgF)

## GET  /\{id\:int}/ 

Returns the presentation instance with the specified id.

**Parameters**

`id` int

A unique identifier for the presentation instance

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [Presentation Entity (2017/01)](docId\:gevbxp_TVfwQAja3TcL9S) 

## PUT  /\{id\:int}/ 

Modifies the specified presentation instance. 

**Parameters**

`id` int

A unique identifier for the presentation instance

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [Presentation Entity (2017/01)](docId\:gevbxp_TVfwQAja3TcL9S) 

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## DELETE  /\{id\:int}/ 

Removes the specified presentation from the network.

**Parameters**

`id` int

A unique identifier for the presentation instance

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns code 400 with an error message.

## GET  /&#x7B;name}/ 

Returns the presentation instance with the specified name.

**Parameters**

`name` string

The name of the presentation instance

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [Presentation Entity (2017/01)](docId\:gevbxp_TVfwQAja3TcL9S) 

## PUT /&#x7B;name}/ 

Modifies the specified presentation instance. 

**Parameters**

`name` string

The name of the presentation instance

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [Presentation Entity (2017/01)](docId\:gevbxp_TVfwQAja3TcL9S) 

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## DELETE  /&#x7B;name}/ 

Removes the specified presentation from the network.

**Parameters**

`name` string

The name of the presentation instance

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns code 400 with an error message.

## GET /\{id\:int}/Permissions/ 

Includes object permissions for a given presentation instance.

**Parameters**

`id` int

A unique identifier for the presentation instance

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [Permission Entity (2017/01)](docId\:HORbsQTI93-eAFZzFtgMy)&#x20;

## POST  /\{id\:int}/Permissions/ 

Adds permissions for the specified presentation instance.

**Parameters**

`id` int

A unique identifier for the presentation instance

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [Permission Entity (2017/01)](docId\:HORbsQTI93-eAFZzFtgMy)&#x20;

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## DELETE  /\{id\:int}/Permissions/ 

Removes permissions for the specified presentation instance.

**Parameters**

`id` int

A unique identifier for the presentation instance

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [Permission Entity (2017/01)](docId\:HORbsQTI93-eAFZzFtgMy)&#x20;

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## GET  /&#x7B;name}/Permissions/ 

Includes object permissions for a given presentation instance.

**Parameters**

`name` string

The name of the presentation instance

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [Permission Entity (2017/01)](docId\:HORbsQTI93-eAFZzFtgMy)&#x20;

## POST  /&#x7B;name}/Permissions/ 

Adds permissions for the specified presentation instance.

**Parameters**

`name` string

The name of the presentation instance

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [Permission Entity (2017/01)](docId\:HORbsQTI93-eAFZzFtgMy)&#x20;

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## DELETE  /&#x7B;name}/Permissions/ 

Removes permissions for the specified presentation instance.

**Parameters**

`name` string

The name of the presentation instance

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [Permission Entity (2017/01)](docId\:HORbsQTI93-eAFZzFtgMy)&#x20;

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.
